Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IShowEditorInput

    public interface IShowEditorInput

Shows the given editor input. Used when an editor is being opened and an existing editor's input matches the one being opened.

Editors can optionally implement this interface, giving the editor the opportunity to show the given input if it represents a different subset of the editor's content than the one currently being shown.

Since:
  3.1

Method Summary
`void` `showEditorInput(IEditorInput editorInput)` Shows the given input if it represents a different subset of the editor's content than the one currently being shown.

Method Detail

### showEditorInput

    void showEditorInput(IEditorInput editorInput)

  Shows the given input if it represents a different subset of the editor's content than the one currently being shown.

  Parameters:
    `editorInput` - the editor input to show

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.